package cmpt213.assignment4.packagedeliveries.webappserver.controllers;

import cmpt213.assignment4.packagedeliveries.webappserver.control.PackageManager;
import cmpt213.assignment4.packagedeliveries.webappserver.model.PackageInfo;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;

@RestController
public class PackageController {
   @GetMapping("/ping")
    @ResponseStatus(HttpStatus.OK)
    public String ping(){
       return "system is up";
   }

   PackageManager manager=PackageManager.getInstance();
   @GetMapping("/listAll")
    @ResponseStatus(HttpStatus.OK)
    public ArrayList<String> getAllPackages(){
       return manager.getAllPackages();
   }

   @PostMapping("/addBook")
    @ResponseStatus(HttpStatus.CREATED)
    public void addBook(@RequestBody String bookString){
       System.out.println(bookString+"----------------->bookString");
       PackageInfo p=manager.deserializePackage(bookString);
       manager.addPackage(p);
   }

    @PostMapping("/addPerishable")
    @ResponseStatus(HttpStatus.CREATED)
    public void addPerishable(@RequestBody String perishableString){
        PackageInfo p=manager.deserializePackage(perishableString);
    }

    @PostMapping("/addElectronic")
    @ResponseStatus(HttpStatus.CREATED)
    public void addElectronic(@RequestBody String electronicString){
        PackageInfo p=manager.deserializePackage(electronicString);
    }
}
